# OpenSC API Reference

sc_file_dup
3
opensc

# sc_file_dup

Duplicate a file object

## Synopsis

    #include <opensc.h>

    void sc_file_dup(sc_file_t **dest, const sc_file_t *src)

## Description

This function creates a new file object, duplicates all file information from src into it, and stores it in the pointer pointed to by dest. This object must be released with sc_file_free() after use.